/** Teardrop - tdParam.cpp

# Copyright (C) 2006 Olivier COUPELON

# This file is part of Teardrop.
#
# Teardrop is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Teardrop is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Teardrop; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

#include "tdParam.h"

tdParam::tdParam() {
    echopages = false;
    proxy_address = "";
    proxy_port = 0;
    proxy_type = CURLPROXY_HTTP;
    curl_timeout = CURL_TIMEOUT;
    max_thread = THMAX;
}

void tdParam::setEcho(bool e) {
    echopages = e;
}

void tdParam::setProxy(string a,string p,string t) {
    proxy_address = a;
    proxy_port = atol(p.c_str());
    proxy_type = (t == "SOCKS5")?CURLPROXY_SOCKS5:CURLPROXY_HTTP;
}

void tdParam::setTimeout(string t) {
    curl_timeout = atol(t.c_str());
}

void tdParam::setMaxThread(string t) {
    max_thread = atol(t.c_str());
}

bool tdParam::getEcho() {
    return echopages;
}

string tdParam::getProxyAddress() {
    return proxy_address;
}

long tdParam::getProxyPort() {
    return proxy_port;
}

long tdParam::getProxyType() {
    return proxy_type;
}

long tdParam::getTimeout() const {
    return curl_timeout;
}

long tdParam::getMaxThread() const {
    return max_thread;
}
