/** Teardrop - engineResults.h

@brief This class is more like a struct. It's just a
@brief collection of information usefull for debugging
@brief and simplifying the code.

@author Olivier COUPELON (olivier.coupelon@wanadoo.fr)
@date 07/08/2006

# Copyright (C) 2006 Olivier COUPELON

# This file is part of Teardrop.
#
# Teardrop is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Teardrop is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Teardrop; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

#ifndef ENGINERESULTS_H
#define ENGINERESULTS_H

#include <iostream>
#include "row.h"

using namespace std;

class engineResults {
public:
	string engname;
	string query;
	unsigned long limit;
	list<row> results;
	void toString() {
		cout << "Engine: " << engname << " | Query: " << query << " | limit: " << limit << endl;
		for(list<row>::iterator it = results.begin(); it != results.end(); ++it) {
			it->toString();
		}
	}
};

#endif
